import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-chart-page',
  templateUrl: './chart-page.component.html',
  styleUrls: ['./chart-page.component.scss']
})
export class ChartPageComponent implements OnInit {

  public data: any[] = [];

  constructor() { }

  ngOnInit(): void {
    this.data = [
      { Month: "JAN", Temperature: 3 },
      { Month: "FEB", Temperature: 4 },
      { Month: "MAR", Temperature: 9 },
      { Month: "APR", Temperature: 15 },
      { Month: "MAY", Temperature: 21 },
      { Month: "JUN", Temperature: 26 },
      { Month: "JUL", Temperature: 29 },
      { Month: "AUG", Temperature: 28 },
      { Month: "SEP", Temperature: 24 },
      { Month: "OCT", Temperature: 18 },
      { Month: "NOV", Temperature: 11 },
      { Month: "DEC", Temperature: 5 }
    ];
  }

  public assigningCategoryStyle(e: any){

    let args = e.args;
    let item = args.getItems(args.startIndex, args.endIndex)[0];

    if(item.Temperature > 18){
      args.fill = "red";
      args.stroke = "red";
    }
    else{
      args.fill = "blue";
      args.stroke = "blue";
    }
  }
}
